package tech.nevets.vplus.items;

import net.minecraft.item.Item;
import net.minecraft.util.Identifier;
import net.minecraft.util.registry.Registry;

import static tech.nevets.vplus.Main.modid;

public class VPItems {

    public static final Item PLATINUMINGOT = new PlatinumIngot(new Item.Settings().group(VPItemGroups.ALL));
    public static final Item PLATINUMNUGGET = new PlatinumNugget(new Item.Settings().group(VPItemGroups.ALL));
    public static final Item RUBY = new Ruby(new Item.Settings().group(VPItemGroups.ALL));

    public static void vpItems() {
        initializeValuables();
    }

    public static void initializeValuables() {
        Registry.register(Registry.ITEM, new Identifier(modid, "platinum_ingot"), PLATINUMINGOT);
        Registry.register(Registry.ITEM, new Identifier(modid, "platinum_nugget"), PLATINUMNUGGET);
        Registry.register(Registry.ITEM, new Identifier(modid, "ruby"), RUBY);
    }

}
